// ---------------------------------------------------------------------------
//  M88 - PC-8801 emulator
//	Copyright (C) cisc 1998, 2000.
// ---------------------------------------------------------------------------
//	$Id: codemon.h,v 1.5 2000/02/27 12:35:06 cisc Exp $

#if !defined(win32_codemon_h)
#define win32_codemon_h

#include "mvmon.h"
#include "device.h"
#include "pc88/memview.h"
#include "Z80diag.h"

// ---------------------------------------------------------------------------

class PC88;

namespace PC8801
{

class CodeMonitor : public MemViewMonitor
{
public:
	CodeMonitor();
	~CodeMonitor();

	bool Init(PC88*); 

private:
	void UpdateText();
	int VerticalScroll(int msg);
	void SetBank();
	
	Z80Diag diag;
};

}

#endif // !defined(win32_codemon_h)
